Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface VirtualServerConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, Container, NamedConfigElement, NotificationBroadcaster, NotificationEmitter, PropertiesAccess

public interface VirtualServerConfig
extends NamedConfigElement, PropertiesAccess, Container

Configuration for the <virtual-server> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.config.PropertiesAccess
`PROPERTY_PREFIX`

Fields inherited from interface com.sun.appserv.management.base.Container
`ATTR_CONTAINEE_J2EE_TYPES`

Method Summary
`HTTPAccessLogConfig` | `createHTTPAccessLogConfig(boolean ipOnly, java.lang.String logDirectory, java.util.Map reserved)` Creates new http-access-log element.
`java.lang.String` | `getDefaultWebModule()`
`java.lang.String` | `getDocRoot()`
`java.lang.String` | `getHosts()`
`HTTPAccessLogConfig` | `getHTTPAccessLogConfig()` Get the HTTPAccessLogConfig MBean.
`java.lang.String` | `getHTTPListeners()`
`java.lang.String` | `getLogFile()`
`java.lang.String` | `getState()`
`void` | `removeHTTPAccessLogConfig()` Removes http-access-log element.
`void` | `setDefaultWebModule(java.lang.String value)`
`void` | `setDocRoot(java.lang.String value)`
`void` | `setHosts(java.lang.String value)`
`void` | `setHTTPListeners(java.lang.String value)`
`void` | `setLogFile(java.lang.String value)`
`void` | `setState(java.lang.String value)`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.config.PropertiesAccess
`createProperty, existsProperty, getProperties, getPropertyNames, getPropertyValue, removeProperty, setPropertyValue`

Methods inherited from interface com.sun.appserv.management.base.Container
`getByNameContaineeSet, getContainee, getContainee, getContaineeJ2EETypes, getContaineeMap, getContaineeSet, getContaineeSet, getContaineeSet, getMultiContaineeMap`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getDefaultWebModule

    public java.lang.String getDefaultWebModule()

### setDefaultWebModule

    public void setDefaultWebModule(java.lang.String value)

### getHosts

    public java.lang.String getHosts()

### setHosts

    public void setHosts(java.lang.String value)

### getHTTPListeners

    public java.lang.String getHTTPListeners()

### setHTTPListeners

    public void setHTTPListeners(java.lang.String value)

### getLogFile

    public java.lang.String getLogFile()

### setLogFile

    public void setLogFile(java.lang.String value)

### getState

    public java.lang.String getState()

### setState

    public void setState(java.lang.String value)

### getDocRoot

    public java.lang.String getDocRoot()

### setDocRoot

    public void setDocRoot(java.lang.String value)

### removeHTTPAccessLogConfig

    public void removeHTTPAccessLogConfig()

  Removes http-access-log element.

### getHTTPAccessLogConfig

    public HTTPAccessLogConfig getHTTPAccessLogConfig()

  Get the HTTPAccessLogConfig MBean.

### createHTTPAccessLogConfig

    public HTTPAccessLogConfig createHTTPAccessLogConfig(boolean ipOnly,
                                                         java.lang.String logDirectory,
                                                         java.util.Map reserved)

  Creates new http-access-log element.

  Parameters:
    `ipOnly` -
    `logDirectory` -
    `reserved` -
  Returns:
    A proxy to the HTTPAccessLogConfig MBean.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.